@echo off
setlocal


REM 创建虚拟环境
python -m venv venv
if errorlevel 1 (
    echo 虚拟环境创建失败
    exit /b 1
)

REM 激活虚拟环境
call .\venv\Scripts\activate
if errorlevel 1 (
    echo 虚拟环境激活失败
    exit /b 1
)

REM 升级pip
python.exe -m pip install --upgrade pip
if errorlevel 1 (
    echo pip升级失败
    exit /b 1
)

REM 安装torch及其依赖
pip install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121
if errorlevel 1 (
    echo 安装torch失败
    exit /b 1
)

REM 检查当前目录是否存在 requirements.txt 文件
if exist requirements.txt (
    REM 安装其他依赖
    pip install -r requirements.txt
    if errorlevel 1 (
        echo 安装其他依赖失败
        exit /b 1
    )
) 

if exist setup.py (
    REM 如果存在 setup.py 文件，则执行 pip install -e .
    pip install -e .
    if errorlevel 1 (
        echo 安装依赖失败
        exit /b 1
    )
)

echo 完成

endlocal
